Package org.apache.solr.client.solrj.io.eval

## Class RecursiveBooleanEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveBooleanEvaluator

All Implemented Interfaces:
  `Serializable`, `StreamEvaluator`, `ValueWorker`, `Expressible`

Direct Known Subclasses:
  `AndEvaluator`, `EqualToEvaluator`, `ExclusiveOrEvaluator`, `GreaterThanEqualToEvaluator`, `GreaterThanEvaluator`, `IsNullEvaluator`, `LessThanEqualToEvaluator`, `LessThanEvaluator`, `MatchesEvaluator`, `NotEvaluator`, `NotNullEvaluator`, `OrEvaluator`

    public abstract class RecursiveBooleanEvaluator
    extends RecursiveEvaluator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static interface` `RecursiveBooleanEvaluator.BooleanChecker`
`static interface` `RecursiveBooleanEvaluator.Checker`
`static interface` `RecursiveBooleanEvaluator.NullChecker`
`static interface` `RecursiveBooleanEvaluator.NumberChecker`
`static interface` `RecursiveBooleanEvaluator.StringChecker`

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
`RecursiveBooleanEvaluator​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract RecursiveBooleanEvaluator.Checker` `constructChecker​(Object value)`
`Object` `doWork​(Object... values)`
`Object` `normalizeInputType​(Object value)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### RecursiveBooleanEvaluator

    public RecursiveBooleanEvaluator​(StreamExpression expression,
                                     StreamFactory factory)
                              throws IOException

Throws:
  `IOException`

### Method Detail

#### constructChecker

    protected abstract RecursiveBooleanEvaluator.Checker constructChecker​(Object value)
                                                                   throws IOException

Throws:
  `IOException`

#### normalizeInputType

    public Object normalizeInputType​(Object value)
                              throws StreamEvaluatorException

Overrides:
  `normalizeInputType` in class `RecursiveEvaluator`
Throws:
  `StreamEvaluatorException`

#### doWork

    public Object doWork​(Object... values)
                  throws IOException

Throws:
  `IOException`